package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyBuildInfo
 * @Description TODO
 * @Date 2025/4/8 16:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "第三方构建信息")
public class ThirdPartyBuildInfo {
    @Schema(title = "项目id")
    private String projectId;
    @Schema(title = "构建id")
    private String buildId;
    @Schema(title = "构建机编排序号")
    private String vmSeqId;
    @Schema(title = "工作空间")
    private String workspace;
    @Schema(title = "流水线ID")
    private String pipelineId;
    @Schema(title = "docker构建相关信息")
    private ThirdPartyBuildDockerInfo dockerBuildInfo;
    @Schema(title = "流水线执行次数")
    private Integer executeCount;
    @Schema(title = "容器hashId日志使用")
    private String containerHashId;
}
