package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerFailedErrorCode
 * @Date：2025/03/24 17:25
 * @Filename：PipelineTriggerFailedErrorCode
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线触发事件原因详情-有错误码异常")
public class PipelineTriggerFailedErrorCode implements PipelineTriggerReasonDetail {
    @Schema(title = "错误码")
    private String errorCode;
    @Schema(title = "错误参数")
    private List<String> params;

    @Override
    public List<String> getReasonDetailList() {
        // 实现逻辑
        return null;
    }
}
