package cd.casic.ci.log.scm.utils;

import java.util.regex.Pattern;

/**
 * @author by mianbin
 * @Classname GitUtils
 * @Date 2025/3/20 20:11
 */
public class GitUtils {
    public static Boolean isLegalHttpUrl(String url) {
        return Pattern.matches("http[s]?://([-.a-z0-9A-Z]+)(:[0-9]+)?/(.*).git", url);
    }

    public static Boolean isLegalSshUrl(String url) {
        return Pattern.matches("git@([-.a-z0-9A-Z]+):(.*).git", url);
    }
}
