package cd.casic.pipeline.store.pojo.common.member;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store成员")
public class StoreMemberItem {
    @Schema(title = "ID")
    private String id;
    
    @Schema(title = "成员名称")
    private String userName;
    
    @Schema(title = "成员类型")
    private String type;
    
    @Schema(title = "所属调试项目标识")
    private String projectCode;
    
    @Schema(title = "所属调试项目名称")
    private String projectName;
    
    @Schema(title = "创建人")
    private String creator;
    
    @Schema(title = "修改人")
    private String modifier;
    
    @Schema(title = "创建时间")
    private String createTime;
    
    @Schema(title = "修改时间")
    private String updateTime;
}