package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.handler.HandlerRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import lombok.Data;

@Data
@Schema(title = "工作台-新增组件请求报文体")
public class StoreCreateRequest extends HandlerRequest {
    @Schema(title = "项目代码", required = false)
    private String projectCode;
    @Schema(title = "基础信息", required = true)
    @Valid
    private StoreBaseCreateRequest baseInfo;
}
