package cd.casic.pipeline.store.pojo.common.visible;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "机构信息报文体")
public class DeptInfo {
    @Schema(title = "机构ID", required = true)
    private Integer deptId;
    
    @Schema(title = "机构名称", required = true)
    private String deptName;
    
    @Schema(title = "机构审核状态(APPROVING：待审核 APPROVED：审核通过 REJECT：审核驳回)", required = false)
    private String status;
    
    @Schema(title = "批注", required = false)
    private String comment;
}