package cd.casic.plugin.event;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.event
 * @Project：ops
 * @name：PluginStoppedEvent
 * @Date：2024/03/22 11:05
 * @Filename：PluginStoppedEvent
 * @description：插件停止，停止后应该删除一切内容
 */
public class PluginStoppedEvent extends ApplicationEvent {
    public PluginStoppedEvent(ApplicationContext pluginApplicationContext) {
        super(pluginApplicationContext);
    }
}
