package cd.casic.pipeline.dispatch.pojo;

import cd.casic.pipeline.dispatch.pojo.enums.JobQuotaVmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname JobRunningCountSystem
 * @Description TODO
 * @Date 2025/4/8 16:39
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "系统的JOB运行数量")
public class JobRunningCountSystem {
    @Schema(title = "构建机类型", required = true)
    private JobQuotaVmType vmType;
    @Schema(title = "系统当前并发JOB数", required = true)
    private Integer runningJob;
    @Schema(title = "工蜂CI当前并发JOB数量", required = true)
    private Integer runningJobMaxGitCiSystem;
}
