package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname DeployPipelineResult
 * @Description TODO
 * @Date 2025/3/31 17:28
 */
@Data
@Schema(title = "配置流水线结果")
public class DeployPipelineResult {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线版本号", required = true)
    private int version;
    @Schema(title = "发布版本号", required = false)
    private Integer versionNum;
    @Schema(title = "生成版本名称", required = false)
    private String versionName;
    @Schema(title = "目标链接", required = false)
    private String targetUrl;
    @Schema(title = "yaml信息", required = false)
    private PipelineYamlVo yamlInfo;
    @Schema(title = "是否更新了推荐版本号基准值", required = false)
    private Boolean updateBuildNo;
}
