package cd.casic.ci.process.api.process.pojo.report;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Set;

/**
 * @author by mianbin
 * @Classname ReportEmail
 * @Description TODO
 * @Date 2025/3/31 17:06
 */
@Schema(title = "自定义产出物报告-发送弹窗")
@Data
@AllArgsConstructor
public class ReportEmail {
    @Schema(title = "接收人列表", required = false)
    private Set<String> receivers;
    @Schema(title = "标题", required = false)
    private String title;
    @Schema(title = "message内容", required = false)
    private String message;
}
