package cd.casic.ci.process.process.service.task;

import cd.casic.ci.common.pipeline.req.stage.StageCreateReq;
import cd.casic.ci.common.pipeline.resp.task.TasksResp;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import cd.casic.framework.commons.pojo.CommonResult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface TaskService extends IService<PipTask> {
    /**
     *  查询taskType是否存在（原项目的各种worker）
     * */
    void taskTypeExist(String taskType);
    List<PipTask> getTask(PipTask pipTask);
    TasksResp getRespById(String taskId);

    void copyTask(String taskId);
}
