package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.time.LocalDateTime;

@Data
@Schema(title = "插件市场-更新插件对象")
public class UpdateAtomInfo {
    @Schema(title = "插件状态", required = false)
    private Byte atomStatus;
    @Schema(title = "插件状态信息", required = false)
    private String atomStatusMsg;
    @Schema(title = "是否为最新版本", required = false)
    private Boolean latestFlag;
    @Schema(title = "发布时间", required = false)
    private LocalDateTime pubTime;
    @Schema(title = "删除标识", required = false)
    private Boolean deleteFlag;
}