package cd.casic.pipeline.store.pojo.common.approval;

import cd.casic.pipeline.store.pojo.common.enums.ApproveStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store审批信息请求报文体")
public class StoreApproveRequest {
    @Schema(title = "审批原因", required = true)
    private String approveMsg;
    @Schema(title = "审批状态", required = true)
    private ApproveStatusEnum approveStatus;
    @Schema(title = "token", required = false)
    private String token;
}