package cd.casic.pipeline.store.pojo.common.enums;

public enum ApproveStatusEnum {
    WAIT, // 待审批
    PASS, // 审批通过
    REFUSE; // 审批拒绝

    public byte getValue() {
        switch (this) {
            case WAIT: return 0;
            case PASS: return 1;
            case REFUSE: return 2;
            default: throw new IllegalArgumentException();
        }
    }
}